Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 251864 - Review Request: kpogre - PostgreSQL graphical frontend for KDE 3.x
Summary: Review Request: kpogre - PostgreSQL graphical frontend for KDE 3.x
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: manuel wolfshant
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2007-08-12 21:35 UTC by Devrim GUNDUZ
Modified: 2008-08-08 17:06 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-08 17:00:24 UTC


Attachments (Terms of Use)
failed mock build (deleted)
2008-01-21 00:15 UTC, manuel wolfshant
no flags Details
modified spec (deleted)
2008-01-21 00:16 UTC, manuel wolfshant
no flags Details
failed mock build (deleted)
2008-01-21 00:19 UTC, manuel wolfshant
no flags Details
failed mock build for 1.6.0-1 (deleted)
2008-01-21 01:38 UTC, manuel wolfshant
no flags Details
Build error of 1.6.0 (deleted)
2008-01-21 01:47 UTC, Devrim GUNDUZ
no flags Details

Description Devrim GUNDUZ 2007-08-12 21:35:05 UTC
Spec URL: http://developer.postgresql.org/~devrim/rpms/other/kpogre/kpogre.spec
SRPM URL: http://developer.postgresql.org/~devrim/rpms/other/kpogre/kpogre-1.5.4-1.fc7.src.rpm
Description: 
KPoGre is graphical administration tool for PostgreSQL.
It uses libpqxx library.

Comment 1 Devrim GUNDUZ 2007-08-12 21:37:34 UTC
Quick tip for the reviewer: I could not test this package in mock -- so BRs and
R's may be missing.

Comment 2 manuel wolfshant 2007-08-13 00:46:53 UTC
For a start, the source URL should be similar to:
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

Mock build fails with:
checking for KDE... configure: error:
in the prefix, you've chosen, are no KDE headers installed. This will fail.
So, check this please and use another prefix!
error: Bad exit status from /var/tmp/rpm-tmp.40521 (%prep)
Adding kdelibs-devel solves this, but rpmlint exposes some more problems:
E: kpogre standard-dir-owned-by-package /usr/share
W: kpogre dangling-symlink /usr/share/doc/HTML/en/kpogre/common
/usr/share/doc/HTML/en/common
W: kpogre symlink-should-be-relative /usr/share/doc/HTML/en/kpogre/common
/usr/share/doc/HTML/en/common
E: kpogre standard-dir-owned-by-package /usr/bin
E: kpogre standard-dir-owned-by-package /usr/share/doc
E: kpogre standard-dir-owned-by-package /usr/share/icons
-> you try to own directories that you should not

W: kpogre invalid-license GPL
-> The lists with the valid licenses is available at
http://fedoraproject.org/wiki/Licensing#head-489bc5bbf14ecdb808316674e9fc465243cfa4f5

E: kpogre binary-or-shlib-defines-rpath /usr/bin/kpogre ['/usr/lib64',
'/usr/lib64/qt-3.3/lib']
You should try to get rid of the rpath. See
http://fedoraproject.org/wiki/Packaging/Guidelines?highlight=%28rpath%29#head-a1dfb5f46bf4098841e31a75d833e6e1b3e72544


Comment 3 Devrim GUNDUZ 2007-08-29 06:57:03 UTC
Hi,

(In reply to comment #2)
> For a start, the source URL should be similar to:
> Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
> 
> Mock build fails with:
> checking for KDE... configure: error:
> in the prefix, you've chosen, are no KDE headers installed. This will fail.
> So, check this please and use another prefix!
> error: Bad exit status from /var/tmp/rpm-tmp.40521 (%prep)
> Adding kdelibs-devel solves this, but rpmlint exposes some more problems:
> E: kpogre standard-dir-owned-by-package /usr/share
> W: kpogre dangling-symlink /usr/share/doc/HTML/en/kpogre/common
> /usr/share/doc/HTML/en/common
> W: kpogre symlink-should-be-relative /usr/share/doc/HTML/en/kpogre/common
> /usr/share/doc/HTML/en/common
> E: kpogre standard-dir-owned-by-package /usr/bin
> E: kpogre standard-dir-owned-by-package /usr/share/doc
> E: kpogre standard-dir-owned-by-package /usr/share/icons
> -> you try to own directories that you should not
> 
> W: kpogre invalid-license GPL
> -> The lists with the valid licenses is available at
>
http://fedoraproject.org/wiki/Licensing#head-489bc5bbf14ecdb808316674e9fc465243cfa4f5
> 
> E: kpogre binary-or-shlib-defines-rpath /usr/bin/kpogre ['/usr/lib64',
> '/usr/lib64/qt-3.3/lib']
> You should try to get rid of the rpath. 

All are done.

Thanks for the review. I will post the new SRPM and the new spec file shortly.




Comment 5 manuel wolfshant 2008-01-21 00:13:52 UTC
I've updated a bit the spec (modified the license tag, added a BR for kdelibs3,
sourced qt.h in %build) and tried a mock build. Unfortunately it fails.
I have attached the modified spec and the build log


Comment 6 manuel wolfshant 2008-01-21 00:15:17 UTC
Created attachment 292302 [details]
failed mock build

 /var/lib/mock//fedora-development-x86_64/result/build.log after mock bombs out
with 
State Changed: setup
ERROR: Exception(/home/wolfy/rpm/SRPMS/kpogre-1.5.4-3.fc7.src.rpm)
Config(fedora-development-x86_64) 0 minutes 30 seconds
INFO: Results and/or logs in: /var/lib/mock//fedora-development-x86_64/result

Comment 7 manuel wolfshant 2008-01-21 00:16:41 UTC
Created attachment 292303 [details]
modified spec

the modified spec

Comment 8 manuel wolfshant 2008-01-21 00:17:59 UTC
Comment on attachment 292302 [details]
failed mock build

sorry, wrong build log, please ignore it

Comment 9 manuel wolfshant 2008-01-21 00:19:48 UTC
Created attachment 292304 [details]
failed mock build

build log after mock fails

Comment 10 Devrim GUNDUZ 2008-01-21 00:57:04 UTC
Hi,

Could you please try the following SRPM? :

http://developer.postgresql.org/~devrim/rpms/other/kpogre/kpogre-1.6.0-1.f8.src.rpm

and the new spec is here:

http://developer.postgresql.org/~devrim/rpms/other/kpogre/kpogre.spec

Regards, DEvrim

Comment 11 manuel wolfshant 2008-01-21 01:38:16 UTC
Created attachment 292307 [details]
failed mock build for 1.6.0-1

Still fails mock build here (rawhide, x86_64)

Comment 12 Devrim GUNDUZ 2008-01-21 01:47:52 UTC
Created attachment 292308 [details]
Build error of 1.6.0

This is the build error on Fedora-8.

Comment 13 manuel wolfshant 2008-03-03 08:08:47 UTC
So, anything new about fixing the errors in #9, #11 and #12 ?

Comment 14 manuel wolfshant 2008-03-22 01:35:12 UTC
ping ?

Comment 15 manuel wolfshant 2008-07-27 01:25:51 UTC
ping again ?

Comment 16 manuel wolfshant 2008-08-01 15:12:43 UTC
last ping before closing as dead-review

Comment 17 manuel wolfshant 2008-08-08 17:00:24 UTC
Since I got no reply from the submitter in more than 6 months, I am closing this.
If anyone wishes to submit this application, please open a new review request.


Note You need to log in before you can comment on or make changes to this bug.